Subject: Understanding your clueless, meddling and egomaniacal PHB

From: Omer Zak <[email-masked]>
Date: Sat, 02 Jul 2005 10:31:41 +0300

The Manager FAQ:
http://www.plethora.net/~seebs/faqs/manager.html
-- 
Jara Cimerman!  He is one of the unsung geniuses--scientist, engineer,
inventor and literary critic.
My own blog is at http://www.livejournal.com/users/tddpirate/

My opinions, as expressed in this E-mail message, are mine alone.
They do not represent the official policy of any organization with which
I may be affiliated in any way.
WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html